## opensp 1.5.2

=== debian/changelog ===
opensp (1.5.2-15ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 20:27:44 +0000

opensp (1.5.2-15ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Drop the build dependencies on poppler-utils.
    - Don't configure with --enable-full-doc-build.
    - Don't ship the release notes in pdf and ps formats.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 29 Feb 2024 13:29:43 +0100

opensp (1.5.2-15) unstable; urgency=medium

  * Fixed missing dependencies for libosp-dev, thanks to Niko Tyni and
    Gregor Herrmann (Closes: #1060323).
  * Changed build dependency on jadetex to texlive-formats-extra, thanks
    to Norbert Preining (Closes: #871755).

 -- Neil Roeth <neil@debian.org>  Thu, 11 Jan 2024 22:48:37 -0500

opensp (1.5.2-14) unstable; urgency=medium

  * Added parallel build
  * Updated to source format 3.0 (quilt) (Closes: #1007085).
  * Updated debhelper compatibility level to 13.

 -- Neil Roeth <neil@debian.org>  Thu, 28 Dec 2023 18:09:16 -0500

opensp (1.5.2-13.1) unstable; urgency=medium

  * Non-maintainer upload.
  * control: Add pkg.opensp.bootstrap build profile that avoids various
    dependencies and thus breaks dependencies loops. (Closes: #869835).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 12 Nov 2023 00:53:15 +0100

opensp (1.5.2-13ubuntu3) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:22:11 +0100

opensp (1.5.2-13ubuntu2) zesty; urgency=medium

  * No-change rebuild to pick up -fPIE compiler default in static
    libraries

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 12 Apr 2017 15:50:45 +0000

opensp (1.5.2-13ubuntu1) xenial; urgency=medium

  * Merge with Debian; remaining changes:
    - Drop the build dependencies on poppler-utils and jadetex.
    - Don't configure with --enable-full-doc-build.
    - Don't ship the release notes in pdf and ps formats.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Jan 2016 10:31:02 +0100

opensp (1.5.2-13) unstable; urgency=medium

  * Revert NMU accidentally removed in last version.

 -- Neil Roeth <neil@debian.org>  Thu, 29 Oct 2015 21:17:43 -0400

opensp (1.5.2-12) unstable; urgency=medium

  * Removed build dependency on openjade1.3.

 -- Neil Roeth <neil@debian.org>  Thu, 29 Oct 2015 19:30:36 -0400

opensp (1.5.2-11.1) unstable; urgency=low

  * Non-maintainer upload.
  * Use dh-autoreconf to allow building on ppc64el. Closes: #747127, #759104

 -- Andreas Barth <aba@ayous.org>  Sun, 24 Aug 2014 14:47:33 +0000

opensp (1.5.2-11ubuntu2) utopic; urgency=medium

  * libosp-dev: Lower recommendation on c++-compiler to a suggestion.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 22 Aug 2014 10:13:25 +0200

opensp (1.5.2-11ubuntu1) utopic; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Use dh-autoreconf to get current libtool.
    - Drop the build dependencies on poppler-utils and jadetex.
    - Don't configure with --enable-full-doc-build.
    - Don't ship the release notes in pdf and ps formats.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 05 May 2014 19:40:03 +0000

opensp (1.5.2-11) unstable; urgency=medium

  * Apply patch to enable bootstrap building. (Closes: #738449).
  * Fixed some lintian warnings - removed brace expansion in *.install
    files, switched to dpkg-buildflags to eliminate hardening warnings.

 -- Neil Roeth <neil@debian.org>  Thu, 06 Mar 2014 19:50:29 -0500

opensp (1.5.2-10ubuntu3) trusty; urgency=medium

  * Use dh-autoreconf to get current libtool.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 14 Dec 2013 00:05:04 -0800

opensp (1.5.2-10ubuntu2) saucy; urgency=low

  * Build depend on openjade again (test suite fails with jade on armhf).

 -- Matthias Klose <doko@ubuntu.com>  Sun, 21 Jul 2013 15:09:33 +0200

opensp (1.5.2-10ubuntu1) saucy; urgency=low

  * Drop the build dependencies on poppler-utils, openjade, jadetex.
  * Don't configure with --enable-full-doc-build.
  * Don't ship the release notes in pdf and ps formats.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 20 Jul 2013 12:48:41 +0000

opensp (1.5.2-10build1) quantal; urgency=low

  * Rebuild for new armel compiler default of ARMv5t.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 08 Oct 2012 08:36:26 +0100

opensp (1.5.2-10) unstable; urgency=low

  * Change order of build dependency on openjade/openjade1.3 to work
    around build issue. (Closes: #643845).
  * Stop including libosp.la in the libosp-dev package. (Closes: #628588).

 -- Neil Roeth <neil@debian.org>  Sat, 08 Oct 2011 18:03:06 -0400

opensp (1.5.2-9) unstable; urgency=low

  * Fixed bug reading locale files (closes: #611710).  Required changes to
    autotools scripts:
  - Use AX_DEFINE_DIR instead of AC_DEFINE_DIR.
  - Define SP_LOCALE_DIR as value of "localedir" rather than "datadir/locale".
  * Other autotools changes indirectly required by the above:
  - Added --warnings=no-portability to automake call.
  - Added AC_USE_SYSTEM_EXTENSIONS.
  * Updated standards version to 3.9.2.0 (no changes, but filed bug 628588
    for policy recommendation regarding .la files).

 -- Neil Roeth <neil@debian.org>  Mon, 30 May 2011 11:48:25 -0400

opensp (1.5.2-8) unstable; urgency=low

  * Switch from deprecated xpdf-utils to poppler-utils in build
    depends. (Closes: #549394).
  * Updated standards version to 3.8.3.0 (no changes).

 -- Neil Roeth <neil@debian.org>  Sun, 04 Oct 2009 17:59:27 -0400

opensp (1.5.2-7) unstable; urgency=low

  * Build with updated version of g++; removed use of g++ 4.1 on arm since
    it appears to work with later compiler now. (Closes: #533805).
  * Fix man page by removing gap. (Closes: #530962).
  * Updated standards version (no changes).
  * Updated to debhelper compat level 7.

 -- Neil Roeth <neil@debian.org>  Wed, 01 Jul 2009 22:02:19 -0400

opensp (1.5.2-6) unstable; urgency=low


