=== debian/control ===
Source: opensp
Section: text
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Neil Roeth <neil@debian.org>
Standards-Version: 3.9.5.0
Build-Depends: debhelper (>> 13.0.0), debhelper-compat (=13),
 dh-buildinfo, xmlto <!pkg.opensp.bootstrap>,
 openjade <!pkg.opensp.bootstrap>,
 texlive-formats-extra <!pkg.opensp.bootstrap>,
 docbook-dsssl <!pkg.opensp.bootstrap>

Package: opensp
Architecture: any
Depends: ${shlibs:Depends}, sgml-base, ${misc:Depends}
Suggests: doc-base, sgml-data
Description: OpenJade group's SGML parsing tools
 This package is a collection of SGML/XML tools called OpenSP.
 It is a fork from James Clark's SP suite.
 .
 These tools are used to parse, validate, and normalize SGML and XML
 files.  The central programs included in this package are 'onsgmls',
 which replaces sgmls, 'ospam', 'ospent', 'osgmlnorm', and 'osx'.

Package: libosp5
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Runtime library for OpenJade group's SP suite
 This is the SP suite's shared library runtime support.  This C++
 library contains entity management functions, parsing functions, and
 other functions useful for SGML/XML/DSSSL development.
 .
 This shared library is used by the opensp and openjade packages.

Package: libosp-dev
Architecture: any
Section: libdevel
Depends: ${opensp:Version}, ${libosp:Version}, ${misc:Depends}
Suggests: c++-compiler
Description: OpenJade group's SP suite, developer support
 This contains include files and the static library for libosp.
 This C++ library contains entity management functions, parsing functions,
 and other functions useful for SGML/XML/DSSSL development.
