## opensp 1.5.2-3ubuntu3

=== debian/changelog ===
opensp (1.5.2-3ubuntu3) gutsy; urgency=low

  * Revert the doc changes from the previous upload, build the docs again.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 29 Aug 2007 21:59:44 +0200

opensp (1.5.2-3ubuntu2) gutsy; urgency=low

  * debian/rules: Don't remove debian/copright, work around a soyuz bug.
  * Configure wth --disable-doc-build to get rid of openjade build
    dependency.
  * Don't install the generated documentation and man pages.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 29 Aug 2007 17:00:09 +0000

opensp (1.5.2-3ubuntu1) feisty; urgency=low

  * Change build-depends to ask for gs-gpl rather than gs-common since
    gs-esp crashes when we try to run. pdf2ps releasenotes.pdf.
  * DebianMaintainerField.

 -- Ian Jackson <iwj@ubuntu.com>  Wed, 14 Mar 2007 14:10:24 +0000

opensp (1.5.2-3build2) feisty; urgency=low

  * Rebuild for changes in the amd64 toolchain.

 -- Matthias Klose <doko@ubuntu.com>  Mon,  5 Mar 2007 01:23:55 +0000

opensp (1.5.2-3build1) feisty; urgency=low

  * Rebuild for ldbl128 change on powerpc and sparc.

 -- Matthias Klose <doko@ubuntu.com>  Thu,  2 Nov 2006 10:00:10 +0000
